curl --request GET \
--url https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Product demo walkthrough",
"default_title": "Recording 2026-02-15",
"duration": 125.5,
"view_count": 42,
"is_uploaded": true,
"requested": false,
"summary": "Overview of the main features and how to get started with the product.",
"public_link_id": "x9y8z7w6v5u4t3s2",
"created_at": "2026-02-15T10:30:00.000Z",
"updated_at": "2026-02-15T11:45:00.000Z",
"uploaded_at": "2026-02-15T10:35:00.000Z",
"public_url": "https://your-workspace.neetorecord.com/watch/x9y8z7w6v5u4t3s2",
"transcoded_url": "https://cdn.neetorecord.com/recordings/a1b2c3d4/transcoded.m3u8?signature=...",
"thumbnail_url": "https://cdn.example.com/thumbnails/a1b2c3d4-e5f6-7890-abcd-ef1234567890.jpg?v=1",
"user_name": "Oliver Smith",
"tags": [
{
"id": "b21f7c90-4d3e-4a15-9c68-0f2e8b7a6d54",
"name": "Demo",
"style": "secondary"
}
],
"folder_name": "Sales",
"folder_id": "f1a2b3c4-d5e6-7890-abcd-ef1234567890"
}{
"error": "You are not authorized to perform this action."
}{
"error": "Recording does not exist."
}Get a recording
Retrieves a single recording.
curl --request GET \
--url https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Product demo walkthrough",
"default_title": "Recording 2026-02-15",
"duration": 125.5,
"view_count": 42,
"is_uploaded": true,
"requested": false,
"summary": "Overview of the main features and how to get started with the product.",
"public_link_id": "x9y8z7w6v5u4t3s2",
"created_at": "2026-02-15T10:30:00.000Z",
"updated_at": "2026-02-15T11:45:00.000Z",
"uploaded_at": "2026-02-15T10:35:00.000Z",
"public_url": "https://your-workspace.neetorecord.com/watch/x9y8z7w6v5u4t3s2",
"transcoded_url": "https://cdn.neetorecord.com/recordings/a1b2c3d4/transcoded.m3u8?signature=...",
"thumbnail_url": "https://cdn.example.com/thumbnails/a1b2c3d4-e5f6-7890-abcd-ef1234567890.jpg?v=1",
"user_name": "Oliver Smith",
"tags": [
{
"id": "b21f7c90-4d3e-4a15-9c68-0f2e8b7a6d54",
"name": "Demo",
"style": "secondary"
}
],
"folder_name": "Sales",
"folder_id": "f1a2b3c4-d5e6-7890-abcd-ef1234567890"
}{
"error": "You are not authorized to perform this action."
}{
"error": "Recording does not exist."
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
API key. Refer to Authentication for more information.
Must be application/json.
application/json Path Parameters
The recording's id (UUID) or its public_link_id (the short code in the watch URL). Both are accepted.
Response
Successfully retrieved the recording.
Unique identifier for the recording.
Custom title set by the user.
Auto-generated title for the recording.
Duration of the recording in seconds.
Number of times the recording has been viewed.
Whether the recording has been fully uploaded.
Whether the recording was requested from someone.
AI-generated summary of the recording.
Public link identifier used in the watch URL.
Public watch URL for the recording.
CloudFront signed URL for the transcoded video.
URL for the recording thumbnail image.
Display name of the user who created the recording.
Name of the folder containing the recording.
Unique identifier of the folder containing the recording.
Whether the recording has transcript text.
Timestamp when the recording was created.
Timestamp when the recording was last updated.
Timestamp when the recording was uploaded.